textures/ut4_koth/stony_sky
{
	qer_editorimage env/ut4_koth/stony_ft.tga
	
	skyparms env/ut4_koth/stony 256 -

	q3map_sunEXT .9 .9 1 800 60 65 1 16
	q3map_lightmapFilterRadius 0 8
	q3map skyLight 400 4
	q3map_globaltexture
//	q3map_lightsubdivide 128	
	q3map_backsplash 0 0
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight	

	nopicmip
	nomipmaps	
}

textures/ut4_koth/duckwater
{
	qer_editorimage textures/ut4_koth/blue_water1c.tga
	q3map_globaltexture
	surfaceparm water
	qer_nocarve
	qer_trans 0.6
	surfaceparm noimpact
	surfaceparm trans
	deformvertexes wave 256 sin 0 10 0 .03
	tesssize 256
	cull none
	{
		map textures/ut4_koth/blue_water1d.tga
		tcMod scale .1 .1
		tcmod rotate 1
		blendfunc filter
	}
	{
		map textures/ut4_koth/blue_water1d.tga
		tcMod scale .2 .1
		tcmod rotate 1.2
		tcmod turb 0 0.1 1 0.02
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_koth/blue_water1d.tga
		tcMod scale .1 .2
		tcmod rotate 1.1
		blendfunc add
	}
}


textures/ut4_koth/duckwater_flow
{
	qer_editorimage textures/ut4_koth/blue_water1c.tga
	q3map_cloneshader textures/ut4_koth/duckwater_assist
	q3map_globaltexture
	surfaceparm water
	qer_nocarve
	qer_trans 0.6
	surfaceparm nolightmap
	surfaceparm trans
	deformvertexes wave 16 sin 0 1 0 .5
	tesssize 16
	{
		map textures/ut4_koth/blue_water1d.tga
		tcMod scale .1 .5 
		tcmod scroll -.4 -.01
		blendfunc filter
	}
	{
		map textures/ut4_koth/blue_water1d.tga
		tcMod scale .15 .5
		tcmod scroll -.6 .01
		tcmod turb 0 0.05 1 0.5
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_koth/blue_water1d.tga
		tcmod turb .5 0.05 1.5 0.5
		tcMod scale .14 .5 
		tcmod scroll -.5 .005
		blendfunc add
	}
}



textures/ut4_koth/duckwater_assist
{
	q3map_lightimage textures/ut4_koth/mud1.jpg
	q3map_surfacelight 2500
	q3map_globaltexture
	q3map_invert
	surfaceparm nolightmap
	surfaceparm water
	surfaceparm trans

	{
		map textures/ut4_koth/blue_water1d.tga
		tcMod scale .1 .5 
		tcmod scroll -.4 -.01
//		blendfunc filter
	}
	{
		map textures/ut4_koth/blue_water1d.tga
		tcMod scale .15 .5
		tcmod scroll -.6 .01
		tcmod turb 0 0.05 1 0.5
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_koth/blue_water1d.tga
		tcmod turb .5 0.05 1.5 0.5
		tcMod scale .14 .5 
		tcmod scroll -.5 .005
		blendfunc add
	}


}


textures/ut4_koth/water_reglow
{
	qer_editorimage textures/ut4_koth/blue_water1c.tga
	q3map_cloneshader textures/ut4_koth/water_reglow_assist
	q3map_globaltexture
	qer_nocarve
	qer_trans 0.6
	surfaceparm trans
	surfaceparm water
	deformvertexes wave 1024 sin 0 1 0 .75
	tesssize 1024
	{
		map textures/ut4_koth/blue_water1c.tga
		blendfunc filter
		tcMod scroll 0.03 0.03
		tcMod turb 1 0.1 1 0.025
	}
        {
		map textures/ut4_koth/water_clouds.jpg
		blendfunc gl_one gl_dst_color
		tcMod scroll 0.02 0.01
		tcMod scale 0.5 0.5
        }
}



textures/ut4_koth/water_reglow_assist
{
	q3map_lightimage textures/ut4_koth/blue_water1c.tga
	q3map_surfacelight 2500
	q3map_invert
	q3map_globaltexture
	surfaceparm nolightmap
	surfaceparm water
	surfaceparm trans
	{
		map textures/ut4_koth/blue_water1c.tga
		tcMod scroll 0.01 0.1
		blendfunc filter
	}
	{
		map textures/ut4_koth/blue_water1c.tga
		tcMod turb 0 0.1 0.05 0.05
		blendfunc filter
	}
        {
		map textures/ut4_koth/water_clouds.jpg
		tcgen environment
		tcmod scale .25 .25
		tcmod scroll .001 .005
		blendfunc add
        }
}



textures/ut4_koth/duck_watercaulk
{
	qer_editorimage textures/ut4_koth/waterclouds.tga
	qer_trans 0.6
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm noimpact
}



textures/ut4_koth/reflectivesand
{
	qer_editorimage textures/ut4_koth/sand008.jpg
	q3map_globaltexture
	{
		map textures/ut4_koth/sand008.jpg
		rgbGen identity
	}
	{
		map textures/ut4_koth/water_overlay2.tga
		blendfunc gl_dst_color gl_one
		tcMod scale 0.25 0.25
		tcMod scroll 0.05 0.05
		tcmod turb 0 0.01 0.5 0.5
	}
	{
		map $lightmap 
		blendfunc filter
	}
}